org.apache.geode.cache.configuration

## Class RegionAttributesType.EvictionAttributes

- java.lang.Object
- - org.apache.geode.cache.configuration.RegionAttributesType.EvictionAttributes

- Enclosing class:
    RegionAttributesType

      public static class RegionAttributesType.EvictionAttributes
      extends java.lang.Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice>
               <element name="lru-entry-count">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <attribute name="action" type="{http://geode.apache.org/schema/cache}enum-action-destroy-overflow" />
                       <attribute name="maximum" type="{http://www.w3.org/2001/XMLSchema}string" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="lru-heap-percentage">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence minOccurs="0">
                         <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                         <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
                       </sequence>
                       <attribute name="action" type="{http://geode.apache.org/schema/cache}enum-action-destroy-overflow" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="lru-memory-size">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence minOccurs="0">
                         <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                         <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
                       </sequence>
                       <attribute name="action" type="{http://geode.apache.org/schema/cache}enum-action-destroy-overflow" />
                       <attribute name="maximum" type="{http://www.w3.org/2001/XMLSchema}string" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </choice>
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RegionAttributesType.EvictionAttributes.LruEntryCount` Java class for anonymous complex type.
    `static class` | `RegionAttributesType.EvictionAttributes.LruHeapPercentage` Java class for anonymous complex type.
    `static class` | `RegionAttributesType.EvictionAttributes.LruMemorySize` Java class for anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected RegionAttributesType.EvictionAttributes.LruEntryCount` | `lruEntryCount`
    `protected RegionAttributesType.EvictionAttributes.LruHeapPercentage` | `lruHeapPercentage`
    `protected RegionAttributesType.EvictionAttributes.LruMemorySize` | `lruMemorySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EvictionAttributes()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RegionAttributesType.EvictionAttributes.LruEntryCount` | `getLruEntryCount()` Gets the value of the lruEntryCount property.
    `RegionAttributesType.EvictionAttributes.LruHeapPercentage` | `getLruHeapPercentage()` Gets the value of the lruHeapPercentage property.
    `RegionAttributesType.EvictionAttributes.LruMemorySize` | `getLruMemorySize()` Gets the value of the lruMemorySize property.
    `void` | `setLruEntryCount(RegionAttributesType.EvictionAttributes.LruEntryCount value)` Sets the value of the lruEntryCount property.
    `void` | `setLruHeapPercentage(RegionAttributesType.EvictionAttributes.LruHeapPercentage value)` Sets the value of the lruHeapPercentage property.
    `void` | `setLruMemorySize(RegionAttributesType.EvictionAttributes.LruMemorySize value)` Sets the value of the lruMemorySize property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### lruEntryCount

          protected RegionAttributesType.EvictionAttributes.LruEntryCount lruEntryCount

    - #### lruHeapPercentage

          protected RegionAttributesType.EvictionAttributes.LruHeapPercentage lruHeapPercentage

    - #### lruMemorySize

          protected RegionAttributesType.EvictionAttributes.LruMemorySize lruMemorySize

  - ### Constructor Detail

    - #### EvictionAttributes

          public EvictionAttributes()

  - ### Method Detail

    - #### getLruEntryCount

          public RegionAttributesType.EvictionAttributes.LruEntryCount getLruEntryCount()

      Gets the value of the lruEntryCount property.
      Returns:
        possible object is `RegionAttributesType.EvictionAttributes.LruEntryCount`

    - #### setLruEntryCount

          public void setLruEntryCount(RegionAttributesType.EvictionAttributes.LruEntryCount value)

      Sets the value of the lruEntryCount property.
      Parameters:
        `value` - allowed object is `RegionAttributesType.EvictionAttributes.LruEntryCount`

    - #### getLruHeapPercentage

          public RegionAttributesType.EvictionAttributes.LruHeapPercentage getLruHeapPercentage()

      Gets the value of the lruHeapPercentage property.
      Returns:
        possible object is `RegionAttributesType.EvictionAttributes.LruHeapPercentage`

    - #### setLruHeapPercentage

          public void setLruHeapPercentage(RegionAttributesType.EvictionAttributes.LruHeapPercentage value)

      Sets the value of the lruHeapPercentage property.
      Parameters:
        `value` - allowed object is `RegionAttributesType.EvictionAttributes.LruHeapPercentage`

    - #### getLruMemorySize

          public RegionAttributesType.EvictionAttributes.LruMemorySize getLruMemorySize()

      Gets the value of the lruMemorySize property.
      Returns:
        possible object is `RegionAttributesType.EvictionAttributes.LruMemorySize`

    - #### setLruMemorySize

          public void setLruMemorySize(RegionAttributesType.EvictionAttributes.LruMemorySize value)

      Sets the value of the lruMemorySize property.
      Parameters:
        `value` - allowed object is `RegionAttributesType.EvictionAttributes.LruMemorySize`